Page MenuHomePhabricator

merge: allow a custom working context to be passed to update
ClosedPublic

Authored by phillco on Sep 11 2017, 4:21 PM.

Details

Summary

This will allow anyone to enable the first in-menmory merge milestone
by wrapping merge.update in an extension and creating an overlayworkingctx.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

phillco created this revision.Sep 11 2017, 4:21 PM
phillco updated this revision to Diff 1831.Sep 14 2017, 4:14 PM
durham accepted this revision.Sep 15 2017, 11:56 AM
martinvonz accepted this revision.Sep 22 2017, 2:09 PM
This revision is now accepted and ready to land.Sep 22 2017, 2:09 PM
This revision was automatically updated to reflect the committed changes.